package translate

func init() {
	// Cisco IPFIX parameters, see http://docwiki.cisco.com/wiki/AVC-Export:Monitoring
	builtin[Key{9, 8232}] = InformationElementEntry{FieldID: 8232, Name: "PolicyQosClassificationHierarchy", Type: FieldTypes["unsigned24"]}
	builtin[Key{9, 9252}] = InformationElementEntry{FieldID: 9252, Name: "waas optimizationSegment", Type: FieldTypes["unsigned8"]}
	builtin[Key{9, 9265}] = InformationElementEntry{FieldID: 9265, Name: "artClient packets", Type: FieldTypes["unsigned64"]}
	builtin[Key{9, 9266}] = InformationElementEntry{FieldID: 9266, Name: "artServer packets", Type: FieldTypes["unsigned64"]}
	builtin[Key{9, 9268}] = InformationElementEntry{FieldID: 9268, Name: "artCountRetransmissions ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9272}] = InformationElementEntry{FieldID: 9272, Name: "artCountTransactions ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9273}] = InformationElementEntry{FieldID: 9273, Name: "artTotalTransactionTimeSum ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9274}] = InformationElementEntry{FieldID: 9274, Name: "artTotalTransactionTimeMaximum ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9275}] = InformationElementEntry{FieldID: 9275, Name: "artTotalTransactionTimeMinimum ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9282}] = InformationElementEntry{FieldID: 9282, Name: "artCountNewConnections ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9292}] = InformationElementEntry{FieldID: 9292, Name: "artCountResponses ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9293}] = InformationElementEntry{FieldID: 9293, Name: "artCountResponsesHistogramBucket1 ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9294}] = InformationElementEntry{FieldID: 9294, Name: "artCountResponsesHistogramBucket2 ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9295}] = InformationElementEntry{FieldID: 9295, Name: "artCountResponsesHistogramBucket3 ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9296}] = InformationElementEntry{FieldID: 9296, Name: "artCountResponsesHistogramBucket4 ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9297}] = InformationElementEntry{FieldID: 9297, Name: "artCountResponsesHistogramBucket5 ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9298}] = InformationElementEntry{FieldID: 9298, Name: "artCountResponsesHistogramBucket6 ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9299}] = InformationElementEntry{FieldID: 9299, Name: "artCountResponsesHistogramBucket7 ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9300}] = InformationElementEntry{FieldID: 9300, Name: "artCountLateResponses ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9303}] = InformationElementEntry{FieldID: 9303, Name: "artResponseTimeSum ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9304}] = InformationElementEntry{FieldID: 9304, Name: "artResponseTimeMaximum ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9305}] = InformationElementEntry{FieldID: 9305, Name: "artResponseTimeMinimum ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9306}] = InformationElementEntry{FieldID: 9306, Name: "artServerResponseTimeSum ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9307}] = InformationElementEntry{FieldID: 9307, Name: "artServerResponseTimeMaximum ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9308}] = InformationElementEntry{FieldID: 9308, Name: "artServerResponseTimeMinimum ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9309}] = InformationElementEntry{FieldID: 9309, Name: "artTotalResponseTimeSum ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9310}] = InformationElementEntry{FieldID: 9310, Name: "artTotalResponseTimeMaximum ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9311}] = InformationElementEntry{FieldID: 9311, Name: "artTotalResponseTimeMinimum ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9313}] = InformationElementEntry{FieldID: 9313, Name: "artNetworkTimeSum ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9314}] = InformationElementEntry{FieldID: 9314, Name: "artNetworkTimeMaximum ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9315}] = InformationElementEntry{FieldID: 9315, Name: "artNetworkTimeMinimum ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9316}] = InformationElementEntry{FieldID: 9316, Name: "artClientNetworkTimeSum ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9317}] = InformationElementEntry{FieldID: 9317, Name: "artClientNetworkTimeMaximum ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9318}] = InformationElementEntry{FieldID: 9318, Name: "artClientNetworkTimeMinimum ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9319}] = InformationElementEntry{FieldID: 9319, Name: "artServerNetworkTimeSum ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9320}] = InformationElementEntry{FieldID: 9320, Name: "artServerNetworkTimeMaximum ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9321}] = InformationElementEntry{FieldID: 9321, Name: "artServerNetworkTimeMinimum ", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9357}] = InformationElementEntry{FieldID: 9357, Name: "applicationHttpUriStatistics", Type: FieldTypes["octetArray"]}
	builtin[Key{9, 9360}] = InformationElementEntry{FieldID: 9360, Name: "PolicyQosQueue index", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9360}] = InformationElementEntry{FieldID: 9360, Name: "PolicyQosQueue INDEX", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 9361}] = InformationElementEntry{FieldID: 9361, Name: "PolicyQosQueue drops", Type: FieldTypes["unsigned64"]}
	builtin[Key{9, 12232}] = InformationElementEntry{FieldID: 12232, Name: "applicationCategoryName", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 12233}] = InformationElementEntry{FieldID: 12233, Name: "applicationSubCategoryName", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 12234}] = InformationElementEntry{FieldID: 12234, Name: "applicationGroupName", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 12235}] = InformationElementEntry{FieldID: 12235, Name: "applicationHttpUser-agent", Type: FieldTypes["octetArray"]}
	builtin[Key{9, 12243}] = InformationElementEntry{FieldID: 12243, Name: "applicationTraffic-class", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 12244}] = InformationElementEntry{FieldID: 12244, Name: "applicationBusiness-relevance", Type: FieldTypes["unsigned32"]}
	builtin[Key{9, 32733}] = InformationElementEntry{FieldID: 32733, Name: "timestampAbsoluteMonitoring-interval", Type: FieldTypes["unsigned64"]}
	builtin[Key{5951, 128}] = InformationElementEntry{FieldID: 128, Name: "netscalerRoundTripTime", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 129}] = InformationElementEntry{FieldID: 129, Name: "netscalerTransactionId", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 130}] = InformationElementEntry{FieldID: 130, Name: "netscalerHttpReqUrl", Type: FieldTypes["string"]}
	builtin[Key{5951, 131}] = InformationElementEntry{FieldID: 131, Name: "netscalerHttpReqCookie", Type: FieldTypes["string"]}
	builtin[Key{5951, 132}] = InformationElementEntry{FieldID: 132, Name: "netscalerFlowFlags", Type: FieldTypes["unsigned64"]}
	builtin[Key{5951, 133}] = InformationElementEntry{FieldID: 133, Name: "netscalerConnectionId", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 134}] = InformationElementEntry{FieldID: 134, Name: "netscalerSyslogPriority", Type: FieldTypes["unsigned8"]}
	builtin[Key{5951, 135}] = InformationElementEntry{FieldID: 135, Name: "netscalerSyslogMessage", Type: FieldTypes["string"]}
	builtin[Key{5951, 136}] = InformationElementEntry{FieldID: 136, Name: "netscalerSyslogTimestamp", Type: FieldTypes["unsigned64"]}
	builtin[Key{5951, 140}] = InformationElementEntry{FieldID: 140, Name: "netscalerHttpReqReferer", Type: FieldTypes["string"]}
	builtin[Key{5951, 141}] = InformationElementEntry{FieldID: 141, Name: "netscalerHttpReqMethod", Type: FieldTypes["string"]}
	builtin[Key{5951, 142}] = InformationElementEntry{FieldID: 142, Name: "netscalerHttpReqHost", Type: FieldTypes["string"]}
	builtin[Key{5951, 143}] = InformationElementEntry{FieldID: 143, Name: "netscalerHttpReqUserAgent", Type: FieldTypes["string"]}
	builtin[Key{5951, 144}] = InformationElementEntry{FieldID: 144, Name: "netscalerHttpRspStatus", Type: FieldTypes["unsigned16"]}
	builtin[Key{5951, 145}] = InformationElementEntry{FieldID: 145, Name: "netscalerHttpRspLen", Type: FieldTypes["unsigned64"]}
	builtin[Key{5951, 146}] = InformationElementEntry{FieldID: 146, Name: "netscalerServerTTFB", Type: FieldTypes["unsigned64"]}
	builtin[Key{5951, 147}] = InformationElementEntry{FieldID: 147, Name: "netscalerServerTTLB", Type: FieldTypes["unsigned64"]}
	builtin[Key{5951, 150}] = InformationElementEntry{FieldID: 150, Name: "netscalerAppNameIncarnationNumber", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 151}] = InformationElementEntry{FieldID: 151, Name: "netscalerAppNameAppId", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 152}] = InformationElementEntry{FieldID: 152, Name: "netscalerAppName", Type: FieldTypes["string"]}
	builtin[Key{5951, 153}] = InformationElementEntry{FieldID: 153, Name: "netscalerHttpReqRcvFB", Type: FieldTypes["unsigned64"]}
	builtin[Key{5951, 156}] = InformationElementEntry{FieldID: 156, Name: "netscalerHttpReqForwFB", Type: FieldTypes["unsigned64"]}
	builtin[Key{5951, 157}] = InformationElementEntry{FieldID: 157, Name: "netscalerHttpResRcvFB", Type: FieldTypes["unsigned64"]}
	builtin[Key{5951, 158}] = InformationElementEntry{FieldID: 158, Name: "netscalerHttpResForwFB", Type: FieldTypes["unsigned64"]}
	builtin[Key{5951, 159}] = InformationElementEntry{FieldID: 159, Name: "netscalerHttpReqRcvLB", Type: FieldTypes["unsigned64"]}
	builtin[Key{5951, 160}] = InformationElementEntry{FieldID: 160, Name: "netscalerHttpReqForwLB", Type: FieldTypes["unsigned64"]}
	builtin[Key{5951, 161}] = InformationElementEntry{FieldID: 161, Name: "netscalerMainPageId", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 162}] = InformationElementEntry{FieldID: 162, Name: "netscalerMainPageCoreId", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 163}] = InformationElementEntry{FieldID: 163, Name: "netscalerHttpClientInteractionStartTime", Type: FieldTypes["string"]}
	builtin[Key{5951, 164}] = InformationElementEntry{FieldID: 164, Name: "netscalerHttpClientRenderEndTime", Type: FieldTypes["string"]}
	builtin[Key{5951, 165}] = InformationElementEntry{FieldID: 165, Name: "netscalerHttpClientRenderStartTime", Type: FieldTypes["string"]}
	builtin[Key{5951, 167}] = InformationElementEntry{FieldID: 167, Name: "netscalerAppTemplateName", Type: FieldTypes["string"]}
	builtin[Key{5951, 168}] = InformationElementEntry{FieldID: 168, Name: "netscalerHttpClientInteractionEndTime", Type: FieldTypes["string"]}
	builtin[Key{5951, 169}] = InformationElementEntry{FieldID: 169, Name: "netscalerHttpResRcvLB", Type: FieldTypes["unsigned64"]}
	builtin[Key{5951, 170}] = InformationElementEntry{FieldID: 170, Name: "netscalerHttpResForwLB", Type: FieldTypes["unsigned64"]}
	builtin[Key{5951, 171}] = InformationElementEntry{FieldID: 171, Name: "netscalerAppUnitNameAppId", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 172}] = InformationElementEntry{FieldID: 172, Name: "netscalerDbLoginFlags", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 173}] = InformationElementEntry{FieldID: 173, Name: "netscalerDbReqType", Type: FieldTypes["unsigned8"]}
	builtin[Key{5951, 174}] = InformationElementEntry{FieldID: 174, Name: "netscalerDbProtocolName", Type: FieldTypes["unsigned8"]}
	builtin[Key{5951, 175}] = InformationElementEntry{FieldID: 175, Name: "netscalerDbUserName", Type: FieldTypes["string"]}
	builtin[Key{5951, 176}] = InformationElementEntry{FieldID: 176, Name: "netscalerDbDatabaseName", Type: FieldTypes["string"]}
	builtin[Key{5951, 177}] = InformationElementEntry{FieldID: 177, Name: "netscalerDbCltHostName", Type: FieldTypes["string"]}
	builtin[Key{5951, 178}] = InformationElementEntry{FieldID: 178, Name: "netscalerDbReqString", Type: FieldTypes["string"]}
	builtin[Key{5951, 179}] = InformationElementEntry{FieldID: 179, Name: "netscalerDbRespStatusString", Type: FieldTypes["string"]}
	builtin[Key{5951, 180}] = InformationElementEntry{FieldID: 180, Name: "netscalerDbRespStatus", Type: FieldTypes["unsigned64"]}
	builtin[Key{5951, 181}] = InformationElementEntry{FieldID: 181, Name: "netscalerDbRespLength", Type: FieldTypes["unsigned64"]}
	builtin[Key{5951, 182}] = InformationElementEntry{FieldID: 182, Name: "netscalerClientRTT", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 183}] = InformationElementEntry{FieldID: 183, Name: "netscalerHttpContentType", Type: FieldTypes["string"]}
	builtin[Key{5951, 185}] = InformationElementEntry{FieldID: 185, Name: "netscalerHttpReqAuthorization", Type: FieldTypes["string"]}
	builtin[Key{5951, 186}] = InformationElementEntry{FieldID: 186, Name: "netscalerHttpReqVia", Type: FieldTypes["string"]}
	builtin[Key{5951, 187}] = InformationElementEntry{FieldID: 187, Name: "netscalerHttpResLocation", Type: FieldTypes["string"]}
	builtin[Key{5951, 188}] = InformationElementEntry{FieldID: 188, Name: "netscalerHttpResSetCookie", Type: FieldTypes["string"]}
	builtin[Key{5951, 189}] = InformationElementEntry{FieldID: 189, Name: "netscalerHttpResSetCookie2", Type: FieldTypes["string"]}
	builtin[Key{5951, 190}] = InformationElementEntry{FieldID: 190, Name: "netscalerHttpReqXForwardedFor", Type: FieldTypes["string"]}
	builtin[Key{5951, 192}] = InformationElementEntry{FieldID: 192, Name: "netscalerConnectionChainID", Type: FieldTypes["octetarray"]}
	builtin[Key{5951, 193}] = InformationElementEntry{FieldID: 193, Name: "netscalerConnectionChainHopCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{5951, 200}] = InformationElementEntry{FieldID: 200, Name: "netscalerICASessionGuid", Type: FieldTypes["octetarray"]}
	builtin[Key{5951, 201}] = InformationElementEntry{FieldID: 201, Name: "netscaleIcaClientVersion", Type: FieldTypes["string"]}
	builtin[Key{5951, 202}] = InformationElementEntry{FieldID: 202, Name: "netscalerIcaClientType", Type: FieldTypes["unsigned16"]}
	builtin[Key{5951, 203}] = InformationElementEntry{FieldID: 203, Name: "netscalerIcaClientIP", Type: FieldTypes["ip4_addr"]}
	builtin[Key{5951, 204}] = InformationElementEntry{FieldID: 204, Name: "netscalerIcaClientHostName", Type: FieldTypes["string"]}
	builtin[Key{5951, 205}] = InformationElementEntry{FieldID: 205, Name: "netscalerAaaUsername", Type: FieldTypes["string"]}
	builtin[Key{5951, 207}] = InformationElementEntry{FieldID: 207, Name: "netscalerIcaDomainName", Type: FieldTypes["string"]}
	builtin[Key{5951, 208}] = InformationElementEntry{FieldID: 208, Name: "netscalerIcaClientLauncher", Type: FieldTypes["unsigned16"]}
	builtin[Key{5951, 209}] = InformationElementEntry{FieldID: 209, Name: "netscalerIcaSessionSetupTime", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 210}] = InformationElementEntry{FieldID: 210, Name: "netscalerIcaServerName", Type: FieldTypes["string"]}
	builtin[Key{5951, 214}] = InformationElementEntry{FieldID: 214, Name: "netscalerIcaSessionReconnects", Type: FieldTypes["unsigned8"]}
	builtin[Key{5951, 215}] = InformationElementEntry{FieldID: 215, Name: "netscalerIcaRTT", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 216}] = InformationElementEntry{FieldID: 216, Name: "netscalerIcaClientsideRXBytes", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 217}] = InformationElementEntry{FieldID: 217, Name: "netscalerIcaClientsideTXBytes", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 219}] = InformationElementEntry{FieldID: 219, Name: "netscalerIcaClientsidePacketsRetransmit", Type: FieldTypes["unsigned16"]}
	builtin[Key{5951, 220}] = InformationElementEntry{FieldID: 220, Name: "netscalerIcaServersidePacketsRetransmit", Type: FieldTypes["unsigned16"]}
	builtin[Key{5951, 221}] = InformationElementEntry{FieldID: 221, Name: "netscalerIcaClientsideRTT", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 222}] = InformationElementEntry{FieldID: 222, Name: "netscalerIcaServersideRTT", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 223}] = InformationElementEntry{FieldID: 223, Name: "netscalerIcaSessionUpdateBeginSec", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 224}] = InformationElementEntry{FieldID: 224, Name: "netscalerIcaSessionUpdateEndSec", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 225}] = InformationElementEntry{FieldID: 225, Name: "netscalerIcaChannelId1", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 226}] = InformationElementEntry{FieldID: 226, Name: "netscalerIcaChannelId1Bytes", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 227}] = InformationElementEntry{FieldID: 227, Name: "netscalerIcaChannelId2", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 228}] = InformationElementEntry{FieldID: 228, Name: "netscalerIcaChannelId2Bytes", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 229}] = InformationElementEntry{FieldID: 229, Name: "netscalerIcaChannelId3", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 230}] = InformationElementEntry{FieldID: 230, Name: "netscalerIcaChannelId3Bytes", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 231}] = InformationElementEntry{FieldID: 231, Name: "netscalerIcaChannelId4", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 232}] = InformationElementEntry{FieldID: 232, Name: "netscalerIcaChannelId4Bytes", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 233}] = InformationElementEntry{FieldID: 233, Name: "netscalerIcaChannelId5", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 234}] = InformationElementEntry{FieldID: 234, Name: "netscalerIcaChannelId5Bytes", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 235}] = InformationElementEntry{FieldID: 235, Name: "netscalerIcaConnectionPriority", Type: FieldTypes["unsigned16"]}
	builtin[Key{5951, 236}] = InformationElementEntry{FieldID: 236, Name: "netscalerApplicationStartupDuration", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 237}] = InformationElementEntry{FieldID: 237, Name: "netscalerIcaLaunchMechanism", Type: FieldTypes["unsigned16"]}
	builtin[Key{5951, 238}] = InformationElementEntry{FieldID: 238, Name: "netscalerIcaApplicationName", Type: FieldTypes["string"]}
	builtin[Key{5951, 239}] = InformationElementEntry{FieldID: 239, Name: "netscalerApplicationStartupTime", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 240}] = InformationElementEntry{FieldID: 240, Name: "netscalerIcaApplicationTerminationType", Type: FieldTypes["unsigned16"]}
	builtin[Key{5951, 241}] = InformationElementEntry{FieldID: 241, Name: "netscalerIcaApplicationTerminationTime", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 242}] = InformationElementEntry{FieldID: 242, Name: "netscalerIcaSessionEndTime", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 243}] = InformationElementEntry{FieldID: 243, Name: "netscalerIcaClientsideJitter", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 244}] = InformationElementEntry{FieldID: 244, Name: "netscalerIcaServersideJitter", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 245}] = InformationElementEntry{FieldID: 245, Name: "netscalerIcaAppProcessID", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 246}] = InformationElementEntry{FieldID: 246, Name: "netscalerIcaAppModulePath", Type: FieldTypes["string"]}
	builtin[Key{5951, 247}] = InformationElementEntry{FieldID: 247, Name: "netscalerIcaDeviceSerialNo", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 248}] = InformationElementEntry{FieldID: 248, Name: "netscalerMsiClientCookie", Type: FieldTypes["octetarray"]}
	builtin[Key{5951, 249}] = InformationElementEntry{FieldID: 249, Name: "netscalerIcaFlags", Type: FieldTypes["unsigned64"]}
	builtin[Key{5951, 250}] = InformationElementEntry{FieldID: 250, Name: "netscalerIcaUsername", Type: FieldTypes["string"]}
	builtin[Key{5951, 251}] = InformationElementEntry{FieldID: 251, Name: "netscalerLicenseType", Type: FieldTypes["unsigned8"]}
	builtin[Key{5951, 252}] = InformationElementEntry{FieldID: 252, Name: "netscalerMaxLicenseCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{5951, 253}] = InformationElementEntry{FieldID: 253, Name: "netscalerCurrentLicenseConsumed", Type: FieldTypes["unsigned64"]}
	builtin[Key{5951, 254}] = InformationElementEntry{FieldID: 254, Name: "netscalerIcaNetworkUpdateStartTime", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 255}] = InformationElementEntry{FieldID: 255, Name: "netscalerIcaNetworkUpdateEndTime", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 256}] = InformationElementEntry{FieldID: 256, Name: "netscalerIcaClientsideSRTT", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 257}] = InformationElementEntry{FieldID: 257, Name: "netscalerIcaServersideSRTT", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 258}] = InformationElementEntry{FieldID: 258, Name: "netscalerIcaClientsideDelay", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 259}] = InformationElementEntry{FieldID: 259, Name: "netscalerIcaServersideDelay", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 260}] = InformationElementEntry{FieldID: 260, Name: "netscalerIcaHostDelay", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 261}] = InformationElementEntry{FieldID: 261, Name: "netscalerIcaClientSideWindowSize", Type: FieldTypes["unsigned16"]}
	builtin[Key{5951, 262}] = InformationElementEntry{FieldID: 262, Name: "netscalerIcaServerSideWindowSize", Type: FieldTypes["unsigned16"]}
	builtin[Key{5951, 263}] = InformationElementEntry{FieldID: 263, Name: "netscalerIcaClientSideRTOCount", Type: FieldTypes["unsigned16"]}
	builtin[Key{5951, 264}] = InformationElementEntry{FieldID: 264, Name: "netscalerIcaServerSideRTOCount", Type: FieldTypes["unsigned16"]}
	builtin[Key{5951, 265}] = InformationElementEntry{FieldID: 265, Name: "netscalerIcaL7ClientLatency", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 266}] = InformationElementEntry{FieldID: 266, Name: "netscalerIcaL7ServerLatency", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 267}] = InformationElementEntry{FieldID: 267, Name: "netscalerHttpDomainName", Type: FieldTypes["string"]}
	builtin[Key{5951, 268}] = InformationElementEntry{FieldID: 268, Name: "netscalerCacheRedirClientConnectionCoreID", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 269}] = InformationElementEntry{FieldID: 269, Name: "netscalerCacheRedirClientConnectionTransactionID", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 270}] = InformationElementEntry{FieldID: 270, Name: "netscalerUnknown270", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 271}] = InformationElementEntry{FieldID: 271, Name: "netscalerUnknown271", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 272}] = InformationElementEntry{FieldID: 272, Name: "netscalerUnknown272", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 273}] = InformationElementEntry{FieldID: 273, Name: "netscalerUnknown273", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 274}] = InformationElementEntry{FieldID: 274, Name: "netscalerUnknown274", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 275}] = InformationElementEntry{FieldID: 275, Name: "netscalerUnknown275", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 276}] = InformationElementEntry{FieldID: 276, Name: "netscalerUnknown276", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 277}] = InformationElementEntry{FieldID: 277, Name: "netscalerUnknown277", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 278}] = InformationElementEntry{FieldID: 278, Name: "netscalerUnknown278", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 279}] = InformationElementEntry{FieldID: 279, Name: "netscalerUnknown279", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 280}] = InformationElementEntry{FieldID: 280, Name: "netscalerUnknown280", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 281}] = InformationElementEntry{FieldID: 281, Name: "netscalerUnknown281", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 282}] = InformationElementEntry{FieldID: 282, Name: "netscalerUnknown282", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 283}] = InformationElementEntry{FieldID: 283, Name: "netscalerUnknown283", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 284}] = InformationElementEntry{FieldID: 284, Name: "netscalerUnknown284", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 285}] = InformationElementEntry{FieldID: 285, Name: "netscalerUnknown285", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 286}] = InformationElementEntry{FieldID: 286, Name: "netscalerUnknown286", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 287}] = InformationElementEntry{FieldID: 287, Name: "netscalerUnknown287", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 288}] = InformationElementEntry{FieldID: 288, Name: "netscalerUnknown288", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 289}] = InformationElementEntry{FieldID: 289, Name: "netscalerUnknown289", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 290}] = InformationElementEntry{FieldID: 290, Name: "netscalerUnknown290", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 291}] = InformationElementEntry{FieldID: 291, Name: "netscalerUnknown291", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 292}] = InformationElementEntry{FieldID: 292, Name: "netscalerUnknown292", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 293}] = InformationElementEntry{FieldID: 293, Name: "netscalerUnknown293", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 294}] = InformationElementEntry{FieldID: 294, Name: "netscalerUnknown294", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 295}] = InformationElementEntry{FieldID: 295, Name: "netscalerUnknown295", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 296}] = InformationElementEntry{FieldID: 296, Name: "netscalerUnknown296", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 297}] = InformationElementEntry{FieldID: 297, Name: "netscalerUnknown297", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 298}] = InformationElementEntry{FieldID: 298, Name: "netscalerUnknown298", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 299}] = InformationElementEntry{FieldID: 299, Name: "netscalerUnknown299", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 300}] = InformationElementEntry{FieldID: 300, Name: "netscalerUnknown300", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 301}] = InformationElementEntry{FieldID: 301, Name: "netscalerUnknown301", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 302}] = InformationElementEntry{FieldID: 302, Name: "netscalerUnknown302", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 303}] = InformationElementEntry{FieldID: 303, Name: "netscalerUnknown303", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 304}] = InformationElementEntry{FieldID: 304, Name: "netscalerUnknown304", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 305}] = InformationElementEntry{FieldID: 305, Name: "netscalerUnknown305", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 306}] = InformationElementEntry{FieldID: 306, Name: "netscalerUnknown306", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 307}] = InformationElementEntry{FieldID: 307, Name: "netscalerUnknown307", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 308}] = InformationElementEntry{FieldID: 308, Name: "netscalerUnknown308", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 309}] = InformationElementEntry{FieldID: 309, Name: "netscalerUnknown309", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 310}] = InformationElementEntry{FieldID: 310, Name: "netscalerUnknown310", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 311}] = InformationElementEntry{FieldID: 311, Name: "netscalerUnknown311", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 312}] = InformationElementEntry{FieldID: 312, Name: "netscalerUnknown312", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 313}] = InformationElementEntry{FieldID: 313, Name: "netscalerUnknown313", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 314}] = InformationElementEntry{FieldID: 314, Name: "netscalerUnknown314", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 315}] = InformationElementEntry{FieldID: 315, Name: "netscalerUnknown315", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 316}] = InformationElementEntry{FieldID: 316, Name: "netscalerUnknown316", Type: FieldTypes["string"]}
	builtin[Key{5951, 317}] = InformationElementEntry{FieldID: 317, Name: "netscalerUnknown317", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 318}] = InformationElementEntry{FieldID: 318, Name: "netscalerUnknown318", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 319}] = InformationElementEntry{FieldID: 319, Name: "netscalerUnknown319", Type: FieldTypes["string"]}
	builtin[Key{5951, 320}] = InformationElementEntry{FieldID: 320, Name: "netscalerUnknown320", Type: FieldTypes["unsigned16"]}
	builtin[Key{5951, 321}] = InformationElementEntry{FieldID: 321, Name: "netscalerUnknown321", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 322}] = InformationElementEntry{FieldID: 322, Name: "netscalerUnknown322", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 323}] = InformationElementEntry{FieldID: 323, Name: "netscalerUnknown323", Type: FieldTypes["unsigned16"]}
	builtin[Key{5951, 324}] = InformationElementEntry{FieldID: 324, Name: "netscalerUnknown324", Type: FieldTypes["unsigned16"]}
	builtin[Key{5951, 325}] = InformationElementEntry{FieldID: 325, Name: "netscalerUnknown325", Type: FieldTypes["unsigned16"]}
	builtin[Key{5951, 326}] = InformationElementEntry{FieldID: 326, Name: "netscalerUnknown326", Type: FieldTypes["unsigned16"]}
	builtin[Key{5951, 327}] = InformationElementEntry{FieldID: 327, Name: "netscalerUnknown327", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 328}] = InformationElementEntry{FieldID: 328, Name: "netscalerUnknown328", Type: FieldTypes["unsigned16"]}
	builtin[Key{5951, 329}] = InformationElementEntry{FieldID: 329, Name: "netscalerUnknown329", Type: FieldTypes["unsigned16"]}
	builtin[Key{5951, 330}] = InformationElementEntry{FieldID: 330, Name: "netscalerUnknown330", Type: FieldTypes["unsigned16"]}
	builtin[Key{5951, 331}] = InformationElementEntry{FieldID: 331, Name: "netscalerUnknown331", Type: FieldTypes["unsigned16"]}
	builtin[Key{5951, 332}] = InformationElementEntry{FieldID: 332, Name: "netscalerUnknown332", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 333}] = InformationElementEntry{FieldID: 333, Name: "netscalerUnknown333", Type: FieldTypes["string"]}
	builtin[Key{5951, 334}] = InformationElementEntry{FieldID: 334, Name: "netscalerUnknown334", Type: FieldTypes["string"]}
	builtin[Key{5951, 335}] = InformationElementEntry{FieldID: 335, Name: "netscalerUnknown335", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 336}] = InformationElementEntry{FieldID: 336, Name: "netscalerUnknown336", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 337}] = InformationElementEntry{FieldID: 337, Name: "netscalerUnknown337", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 338}] = InformationElementEntry{FieldID: 338, Name: "netscalerUnknown338", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 339}] = InformationElementEntry{FieldID: 339, Name: "netscalerUnknown339", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 340}] = InformationElementEntry{FieldID: 340, Name: "netscalerUnknown340", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 341}] = InformationElementEntry{FieldID: 341, Name: "netscalerUnknown341", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 342}] = InformationElementEntry{FieldID: 342, Name: "netscalerUnknown342", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 343}] = InformationElementEntry{FieldID: 343, Name: "netscalerUnknown343", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 344}] = InformationElementEntry{FieldID: 344, Name: "netscalerUnknown344", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 345}] = InformationElementEntry{FieldID: 345, Name: "netscalerUnknown345", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 346}] = InformationElementEntry{FieldID: 346, Name: "netscalerUnknown346", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 347}] = InformationElementEntry{FieldID: 347, Name: "netscalerUnknown347", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 348}] = InformationElementEntry{FieldID: 348, Name: "netscalerUnknown348", Type: FieldTypes["unsigned16"]}
	builtin[Key{5951, 349}] = InformationElementEntry{FieldID: 349, Name: "netscalerUnknown349", Type: FieldTypes["string"]}
	builtin[Key{5951, 350}] = InformationElementEntry{FieldID: 350, Name: "netscalerUnknown350", Type: FieldTypes["string"]}
	builtin[Key{5951, 351}] = InformationElementEntry{FieldID: 351, Name: "netscalerUnknown351", Type: FieldTypes["string"]}
	builtin[Key{5951, 352}] = InformationElementEntry{FieldID: 352, Name: "netscalerUnknown352", Type: FieldTypes["unsigned16"]}
	builtin[Key{5951, 353}] = InformationElementEntry{FieldID: 353, Name: "netscalerUnknown353", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 354}] = InformationElementEntry{FieldID: 354, Name: "netscalerUnknown354", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 355}] = InformationElementEntry{FieldID: 355, Name: "netscalerUnknown355", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 356}] = InformationElementEntry{FieldID: 356, Name: "netscalerUnknown356", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 357}] = InformationElementEntry{FieldID: 357, Name: "netscalerUnknown357", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 363}] = InformationElementEntry{FieldID: 363, Name: "netscalerUnknown363", Type: FieldTypes["octetarray"]}
	builtin[Key{5951, 383}] = InformationElementEntry{FieldID: 383, Name: "netscalerUnknown383", Type: FieldTypes["octetarray"]}
	builtin[Key{5951, 391}] = InformationElementEntry{FieldID: 391, Name: "netscalerUnknown391", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 398}] = InformationElementEntry{FieldID: 398, Name: "netscalerUnknown398", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 404}] = InformationElementEntry{FieldID: 404, Name: "netscalerUnknown404", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 405}] = InformationElementEntry{FieldID: 405, Name: "netscalerUnknown405", Type: FieldTypes["unsigned32"]}
	builtin[Key{5951, 427}] = InformationElementEntry{FieldID: 427, Name: "netscalerUnknown427", Type: FieldTypes["unsigned64"]}
	builtin[Key{5951, 429}] = InformationElementEntry{FieldID: 429, Name: "netscalerUnknown429", Type: FieldTypes["unsigned8"]}
	builtin[Key{5951, 432}] = InformationElementEntry{FieldID: 432, Name: "netscalerUnknown432", Type: FieldTypes["unsigned8"]}
	builtin[Key{5951, 433}] = InformationElementEntry{FieldID: 433, Name: "netscalerUnknown433", Type: FieldTypes["unsigned8"]}
	builtin[Key{5951, 453}] = InformationElementEntry{FieldID: 453, Name: "netscalerUnknown453", Type: FieldTypes["unsigned64"]}
	builtin[Key{5951, 465}] = InformationElementEntry{FieldID: 465, Name: "netscalerUnknown465", Type: FieldTypes["unsigned32"]}
}
