package translate

// Autogenerated Thu Sep 21 12:39:08 IST 2017

import "strings"

// Reverse Information Element Private Enterprise Number (RFC 5103)
const reversePEN = 29305

// IANA Assigned (RFC 5102), see http://www.iana.org/assignments/ipfix/ipfix.xml
func init() {
	builtin[Key{0, 1}] = InformationElementEntry{FieldID: 1, Name: "octetDeltaCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 2}] = InformationElementEntry{FieldID: 2, Name: "packetDeltaCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 3}] = InformationElementEntry{FieldID: 3, Name: "deltaFlowCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 4}] = InformationElementEntry{FieldID: 4, Name: "protocolIdentifier", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 5}] = InformationElementEntry{FieldID: 5, Name: "ipClassOfService", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 6}] = InformationElementEntry{FieldID: 6, Name: "tcpControlBits", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 7}] = InformationElementEntry{FieldID: 7, Name: "sourceTransportPort", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 8}] = InformationElementEntry{FieldID: 8, Name: "sourceIPv4Address", Type: FieldTypes["ipv4Address"]}
	builtin[Key{0, 9}] = InformationElementEntry{FieldID: 9, Name: "sourceIPv4PrefixLength", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 10}] = InformationElementEntry{FieldID: 10, Name: "ingressInterface", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 11}] = InformationElementEntry{FieldID: 11, Name: "destinationTransportPort", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 12}] = InformationElementEntry{FieldID: 12, Name: "destinationIPv4Address", Type: FieldTypes["ipv4Address"]}
	builtin[Key{0, 13}] = InformationElementEntry{FieldID: 13, Name: "destinationIPv4PrefixLength", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 14}] = InformationElementEntry{FieldID: 14, Name: "egressInterface", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 15}] = InformationElementEntry{FieldID: 15, Name: "ipNextHopIPv4Address", Type: FieldTypes["ipv4Address"]}
	builtin[Key{0, 16}] = InformationElementEntry{FieldID: 16, Name: "bgpSourceAsNumber", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 17}] = InformationElementEntry{FieldID: 17, Name: "bgpDestinationAsNumber", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 18}] = InformationElementEntry{FieldID: 18, Name: "bgpNextHopIPv4Address", Type: FieldTypes["ipv4Address"]}
	builtin[Key{0, 19}] = InformationElementEntry{FieldID: 19, Name: "postMCastPacketDeltaCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 20}] = InformationElementEntry{FieldID: 20, Name: "postMCastOctetDeltaCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 21}] = InformationElementEntry{FieldID: 21, Name: "flowEndSysUpTime", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 22}] = InformationElementEntry{FieldID: 22, Name: "flowStartSysUpTime", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 23}] = InformationElementEntry{FieldID: 23, Name: "postOctetDeltaCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 24}] = InformationElementEntry{FieldID: 24, Name: "postPacketDeltaCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 25}] = InformationElementEntry{FieldID: 25, Name: "minimumIpTotalLength", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 26}] = InformationElementEntry{FieldID: 26, Name: "maximumIpTotalLength", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 27}] = InformationElementEntry{FieldID: 27, Name: "sourceIPv6Address", Type: FieldTypes["ipv6Address"]}
	builtin[Key{0, 28}] = InformationElementEntry{FieldID: 28, Name: "destinationIPv6Address", Type: FieldTypes["ipv6Address"]}
	builtin[Key{0, 29}] = InformationElementEntry{FieldID: 29, Name: "sourceIPv6PrefixLength", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 30}] = InformationElementEntry{FieldID: 30, Name: "destinationIPv6PrefixLength", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 31}] = InformationElementEntry{FieldID: 31, Name: "flowLabelIPv6", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 32}] = InformationElementEntry{FieldID: 32, Name: "icmpTypeCodeIPv4", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 33}] = InformationElementEntry{FieldID: 33, Name: "igmpType", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 34}] = InformationElementEntry{FieldID: 34, Name: "samplingInterval", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 35}] = InformationElementEntry{FieldID: 35, Name: "samplingAlgorithm", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 36}] = InformationElementEntry{FieldID: 36, Name: "flowActiveTimeout", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 37}] = InformationElementEntry{FieldID: 37, Name: "flowIdleTimeout", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 38}] = InformationElementEntry{FieldID: 38, Name: "engineType", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 39}] = InformationElementEntry{FieldID: 39, Name: "engineId", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 40}] = InformationElementEntry{FieldID: 40, Name: "exportedOctetTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 41}] = InformationElementEntry{FieldID: 41, Name: "exportedMessageTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 42}] = InformationElementEntry{FieldID: 42, Name: "exportedFlowRecordTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 43}] = InformationElementEntry{FieldID: 43, Name: "ipv4RouterSc", Type: FieldTypes["ipv4Address"]}
	builtin[Key{0, 44}] = InformationElementEntry{FieldID: 44, Name: "sourceIPv4Prefix", Type: FieldTypes["ipv4Address"]}
	builtin[Key{0, 45}] = InformationElementEntry{FieldID: 45, Name: "destinationIPv4Prefix", Type: FieldTypes["ipv4Address"]}
	builtin[Key{0, 46}] = InformationElementEntry{FieldID: 46, Name: "mplsTopLabelType", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 47}] = InformationElementEntry{FieldID: 47, Name: "mplsTopLabelIPv4Address", Type: FieldTypes["ipv4Address"]}
	builtin[Key{0, 48}] = InformationElementEntry{FieldID: 48, Name: "samplerId", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 49}] = InformationElementEntry{FieldID: 49, Name: "samplerMode", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 50}] = InformationElementEntry{FieldID: 50, Name: "samplerRandomInterval", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 51}] = InformationElementEntry{FieldID: 51, Name: "classId", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 52}] = InformationElementEntry{FieldID: 52, Name: "minimumTTL", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 53}] = InformationElementEntry{FieldID: 53, Name: "maximumTTL", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 54}] = InformationElementEntry{FieldID: 54, Name: "fragmentIdentification", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 55}] = InformationElementEntry{FieldID: 55, Name: "postIpClassOfService", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 56}] = InformationElementEntry{FieldID: 56, Name: "sourceMacAddress", Type: FieldTypes["macAddress"]}
	builtin[Key{0, 57}] = InformationElementEntry{FieldID: 57, Name: "postDestinationMacAddress", Type: FieldTypes["macAddress"]}
	builtin[Key{0, 58}] = InformationElementEntry{FieldID: 58, Name: "vlanId", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 59}] = InformationElementEntry{FieldID: 59, Name: "postVlanId", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 60}] = InformationElementEntry{FieldID: 60, Name: "ipVersion", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 61}] = InformationElementEntry{FieldID: 61, Name: "flowDirection", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 62}] = InformationElementEntry{FieldID: 62, Name: "ipNextHopIPv6Address", Type: FieldTypes["ipv6Address"]}
	builtin[Key{0, 63}] = InformationElementEntry{FieldID: 63, Name: "bgpNextHopIPv6Address", Type: FieldTypes["ipv6Address"]}
	builtin[Key{0, 64}] = InformationElementEntry{FieldID: 64, Name: "ipv6ExtensionHeaders", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 70}] = InformationElementEntry{FieldID: 70, Name: "mplsTopLabelStackSection", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 71}] = InformationElementEntry{FieldID: 71, Name: "mplsLabelStackSection2", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 72}] = InformationElementEntry{FieldID: 72, Name: "mplsLabelStackSection3", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 73}] = InformationElementEntry{FieldID: 73, Name: "mplsLabelStackSection4", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 74}] = InformationElementEntry{FieldID: 74, Name: "mplsLabelStackSection5", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 75}] = InformationElementEntry{FieldID: 75, Name: "mplsLabelStackSection6", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 76}] = InformationElementEntry{FieldID: 76, Name: "mplsLabelStackSection7", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 77}] = InformationElementEntry{FieldID: 77, Name: "mplsLabelStackSection8", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 78}] = InformationElementEntry{FieldID: 78, Name: "mplsLabelStackSection9", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 79}] = InformationElementEntry{FieldID: 79, Name: "mplsLabelStackSection10", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 80}] = InformationElementEntry{FieldID: 80, Name: "destinationMacAddress", Type: FieldTypes["macAddress"]}
	builtin[Key{0, 81}] = InformationElementEntry{FieldID: 81, Name: "postSourceMacAddress", Type: FieldTypes["macAddress"]}
	builtin[Key{0, 82}] = InformationElementEntry{FieldID: 82, Name: "interfaceName", Type: FieldTypes["string"]}
	builtin[Key{0, 83}] = InformationElementEntry{FieldID: 83, Name: "interfaceDescription", Type: FieldTypes["string"]}
	builtin[Key{0, 84}] = InformationElementEntry{FieldID: 84, Name: "samplerName", Type: FieldTypes["string"]}
	builtin[Key{0, 85}] = InformationElementEntry{FieldID: 85, Name: "octetTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 86}] = InformationElementEntry{FieldID: 86, Name: "packetTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 87}] = InformationElementEntry{FieldID: 87, Name: "flagsAndSamplerId", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 88}] = InformationElementEntry{FieldID: 88, Name: "fragmentOffset", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 89}] = InformationElementEntry{FieldID: 89, Name: "forwardingStatus", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 90}] = InformationElementEntry{FieldID: 90, Name: "mplsVpnRouteDistinguisher", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 91}] = InformationElementEntry{FieldID: 91, Name: "mplsTopLabelPrefixLength", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 92}] = InformationElementEntry{FieldID: 92, Name: "srcTrafficIndex", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 93}] = InformationElementEntry{FieldID: 93, Name: "dstTrafficIndex", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 94}] = InformationElementEntry{FieldID: 94, Name: "applicationDescription", Type: FieldTypes["string"]}
	builtin[Key{0, 95}] = InformationElementEntry{FieldID: 95, Name: "applicationId", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 96}] = InformationElementEntry{FieldID: 96, Name: "applicationName", Type: FieldTypes["string"]}
	builtin[Key{0, 98}] = InformationElementEntry{FieldID: 98, Name: "postIpDiffServCodePoint", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 99}] = InformationElementEntry{FieldID: 99, Name: "multicastReplicationFactor", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 100}] = InformationElementEntry{FieldID: 100, Name: "className", Type: FieldTypes["string"]}
	builtin[Key{0, 101}] = InformationElementEntry{FieldID: 101, Name: "classificationEngineId", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 102}] = InformationElementEntry{FieldID: 102, Name: "layer2packetSectionOffset", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 103}] = InformationElementEntry{FieldID: 103, Name: "layer2packetSectionSize", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 104}] = InformationElementEntry{FieldID: 104, Name: "layer2packetSectionData", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 128}] = InformationElementEntry{FieldID: 128, Name: "bgpNextAdjacentAsNumber", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 129}] = InformationElementEntry{FieldID: 129, Name: "bgpPrevAdjacentAsNumber", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 130}] = InformationElementEntry{FieldID: 130, Name: "exporterIPv4Address", Type: FieldTypes["ipv4Address"]}
	builtin[Key{0, 131}] = InformationElementEntry{FieldID: 131, Name: "exporterIPv6Address", Type: FieldTypes["ipv6Address"]}
	builtin[Key{0, 132}] = InformationElementEntry{FieldID: 132, Name: "droppedOctetDeltaCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 133}] = InformationElementEntry{FieldID: 133, Name: "droppedPacketDeltaCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 134}] = InformationElementEntry{FieldID: 134, Name: "droppedOctetTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 135}] = InformationElementEntry{FieldID: 135, Name: "droppedPacketTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 136}] = InformationElementEntry{FieldID: 136, Name: "flowEndReason", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 137}] = InformationElementEntry{FieldID: 137, Name: "commonPropertiesId", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 138}] = InformationElementEntry{FieldID: 138, Name: "observationPointId", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 139}] = InformationElementEntry{FieldID: 139, Name: "icmpTypeCodeIPv6", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 140}] = InformationElementEntry{FieldID: 140, Name: "mplsTopLabelIPv6Address", Type: FieldTypes["ipv6Address"]}
	builtin[Key{0, 141}] = InformationElementEntry{FieldID: 141, Name: "lineCardId", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 142}] = InformationElementEntry{FieldID: 142, Name: "portId", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 143}] = InformationElementEntry{FieldID: 143, Name: "meteringProcessId", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 144}] = InformationElementEntry{FieldID: 144, Name: "exportingProcessId", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 145}] = InformationElementEntry{FieldID: 145, Name: "templateId", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 146}] = InformationElementEntry{FieldID: 146, Name: "wlanChannelId", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 147}] = InformationElementEntry{FieldID: 147, Name: "wlanSSID", Type: FieldTypes["string"]}
	builtin[Key{0, 148}] = InformationElementEntry{FieldID: 148, Name: "flowId", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 149}] = InformationElementEntry{FieldID: 149, Name: "observationDomainId", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 150}] = InformationElementEntry{FieldID: 150, Name: "flowStartSeconds", Type: FieldTypes["dateTimeSeconds"]}
	builtin[Key{0, 151}] = InformationElementEntry{FieldID: 151, Name: "flowEndSeconds", Type: FieldTypes["dateTimeSeconds"]}
	builtin[Key{0, 152}] = InformationElementEntry{FieldID: 152, Name: "flowStartMilliseconds", Type: FieldTypes["dateTimeMilliseconds"]}
	builtin[Key{0, 153}] = InformationElementEntry{FieldID: 153, Name: "flowEndMilliseconds", Type: FieldTypes["dateTimeMilliseconds"]}
	builtin[Key{0, 154}] = InformationElementEntry{FieldID: 154, Name: "flowStartMicroseconds", Type: FieldTypes["dateTimeMicroseconds"]}
	builtin[Key{0, 155}] = InformationElementEntry{FieldID: 155, Name: "flowEndMicroseconds", Type: FieldTypes["dateTimeMicroseconds"]}
	builtin[Key{0, 156}] = InformationElementEntry{FieldID: 156, Name: "flowStartNanoseconds", Type: FieldTypes["dateTimeNanoseconds"]}
	builtin[Key{0, 157}] = InformationElementEntry{FieldID: 157, Name: "flowEndNanoseconds", Type: FieldTypes["dateTimeNanoseconds"]}
	builtin[Key{0, 158}] = InformationElementEntry{FieldID: 158, Name: "flowStartDeltaMicroseconds", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 159}] = InformationElementEntry{FieldID: 159, Name: "flowEndDeltaMicroseconds", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 160}] = InformationElementEntry{FieldID: 160, Name: "systemInitTimeMilliseconds", Type: FieldTypes["dateTimeMilliseconds"]}
	builtin[Key{0, 161}] = InformationElementEntry{FieldID: 161, Name: "flowDurationMilliseconds", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 162}] = InformationElementEntry{FieldID: 162, Name: "flowDurationMicroseconds", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 163}] = InformationElementEntry{FieldID: 163, Name: "observedFlowTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 164}] = InformationElementEntry{FieldID: 164, Name: "ignoredPacketTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 165}] = InformationElementEntry{FieldID: 165, Name: "ignoredOctetTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 166}] = InformationElementEntry{FieldID: 166, Name: "notSentFlowTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 167}] = InformationElementEntry{FieldID: 167, Name: "notSentPacketTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 168}] = InformationElementEntry{FieldID: 168, Name: "notSentOctetTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 169}] = InformationElementEntry{FieldID: 169, Name: "destinationIPv6Prefix", Type: FieldTypes["ipv6Address"]}
	builtin[Key{0, 170}] = InformationElementEntry{FieldID: 170, Name: "sourceIPv6Prefix", Type: FieldTypes["ipv6Address"]}
	builtin[Key{0, 171}] = InformationElementEntry{FieldID: 171, Name: "postOctetTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 172}] = InformationElementEntry{FieldID: 172, Name: "postPacketTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 173}] = InformationElementEntry{FieldID: 173, Name: "flowKeyIndicator", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 174}] = InformationElementEntry{FieldID: 174, Name: "postMCastPacketTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 175}] = InformationElementEntry{FieldID: 175, Name: "postMCastOctetTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 176}] = InformationElementEntry{FieldID: 176, Name: "icmpTypeIPv4", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 177}] = InformationElementEntry{FieldID: 177, Name: "icmpCodeIPv4", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 178}] = InformationElementEntry{FieldID: 178, Name: "icmpTypeIPv6", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 179}] = InformationElementEntry{FieldID: 179, Name: "icmpCodeIPv6", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 180}] = InformationElementEntry{FieldID: 180, Name: "udpSourcePort", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 181}] = InformationElementEntry{FieldID: 181, Name: "udpDestinationPort", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 182}] = InformationElementEntry{FieldID: 182, Name: "tcpSourcePort", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 183}] = InformationElementEntry{FieldID: 183, Name: "tcpDestinationPort", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 184}] = InformationElementEntry{FieldID: 184, Name: "tcpSequenceNumber", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 185}] = InformationElementEntry{FieldID: 185, Name: "tcpAcknowledgementNumber", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 186}] = InformationElementEntry{FieldID: 186, Name: "tcpWindowSize", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 187}] = InformationElementEntry{FieldID: 187, Name: "tcpUrgentPointer", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 188}] = InformationElementEntry{FieldID: 188, Name: "tcpHeaderLength", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 189}] = InformationElementEntry{FieldID: 189, Name: "ipHeaderLength", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 190}] = InformationElementEntry{FieldID: 190, Name: "totalLengthIPv4", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 191}] = InformationElementEntry{FieldID: 191, Name: "payloadLengthIPv6", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 192}] = InformationElementEntry{FieldID: 192, Name: "ipTTL", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 193}] = InformationElementEntry{FieldID: 193, Name: "nextHeaderIPv6", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 194}] = InformationElementEntry{FieldID: 194, Name: "mplsPayloadLength", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 195}] = InformationElementEntry{FieldID: 195, Name: "ipDiffServCodePoint", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 196}] = InformationElementEntry{FieldID: 196, Name: "ipPrecedence", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 197}] = InformationElementEntry{FieldID: 197, Name: "fragmentFlags", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 198}] = InformationElementEntry{FieldID: 198, Name: "octetDeltaSumOfSquares", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 199}] = InformationElementEntry{FieldID: 199, Name: "octetTotalSumOfSquares", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 200}] = InformationElementEntry{FieldID: 200, Name: "mplsTopLabelTTL", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 201}] = InformationElementEntry{FieldID: 201, Name: "mplsLabelStackLength", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 202}] = InformationElementEntry{FieldID: 202, Name: "mplsLabelStackDepth", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 203}] = InformationElementEntry{FieldID: 203, Name: "mplsTopLabelExp", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 204}] = InformationElementEntry{FieldID: 204, Name: "ipPayloadLength", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 205}] = InformationElementEntry{FieldID: 205, Name: "udpMessageLength", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 206}] = InformationElementEntry{FieldID: 206, Name: "isMulticast", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 207}] = InformationElementEntry{FieldID: 207, Name: "ipv4IHL", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 208}] = InformationElementEntry{FieldID: 208, Name: "ipv4Options", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 209}] = InformationElementEntry{FieldID: 209, Name: "tcpOptions", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 210}] = InformationElementEntry{FieldID: 210, Name: "paddingOctets", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 211}] = InformationElementEntry{FieldID: 211, Name: "collectorIPv4Address", Type: FieldTypes["ipv4Address"]}
	builtin[Key{0, 212}] = InformationElementEntry{FieldID: 212, Name: "collectorIPv6Address", Type: FieldTypes["ipv6Address"]}
	builtin[Key{0, 213}] = InformationElementEntry{FieldID: 213, Name: "exportInterface", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 214}] = InformationElementEntry{FieldID: 214, Name: "exportProtocolVersion", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 215}] = InformationElementEntry{FieldID: 215, Name: "exportTransportProtocol", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 216}] = InformationElementEntry{FieldID: 216, Name: "collectorTransportPort", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 217}] = InformationElementEntry{FieldID: 217, Name: "exporterTransportPort", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 218}] = InformationElementEntry{FieldID: 218, Name: "tcpSynTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 219}] = InformationElementEntry{FieldID: 219, Name: "tcpFinTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 220}] = InformationElementEntry{FieldID: 220, Name: "tcpRstTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 221}] = InformationElementEntry{FieldID: 221, Name: "tcpPshTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 222}] = InformationElementEntry{FieldID: 222, Name: "tcpAckTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 223}] = InformationElementEntry{FieldID: 223, Name: "tcpUrgTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 224}] = InformationElementEntry{FieldID: 224, Name: "ipTotalLength", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 225}] = InformationElementEntry{FieldID: 225, Name: "postNATSourceIPv4Address", Type: FieldTypes["ipv4Address"]}
	builtin[Key{0, 226}] = InformationElementEntry{FieldID: 226, Name: "postNATDestinationIPv4Address", Type: FieldTypes["ipv4Address"]}
	builtin[Key{0, 227}] = InformationElementEntry{FieldID: 227, Name: "postNAPTSourceTransportPort", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 228}] = InformationElementEntry{FieldID: 228, Name: "postNAPTDestinationTransportPort", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 229}] = InformationElementEntry{FieldID: 229, Name: "natOriginatingAddressRealm", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 230}] = InformationElementEntry{FieldID: 230, Name: "natEvent", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 231}] = InformationElementEntry{FieldID: 231, Name: "initiatorOctets", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 232}] = InformationElementEntry{FieldID: 232, Name: "responderOctets", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 233}] = InformationElementEntry{FieldID: 233, Name: "firewallEvent", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 234}] = InformationElementEntry{FieldID: 234, Name: "ingressVRFID", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 235}] = InformationElementEntry{FieldID: 235, Name: "egressVRFID", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 236}] = InformationElementEntry{FieldID: 236, Name: "VRFname", Type: FieldTypes["string"]}
	builtin[Key{0, 237}] = InformationElementEntry{FieldID: 237, Name: "postMplsTopLabelExp", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 238}] = InformationElementEntry{FieldID: 238, Name: "tcpWindowScale", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 239}] = InformationElementEntry{FieldID: 239, Name: "biflowDirection", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 240}] = InformationElementEntry{FieldID: 240, Name: "ethernetHeaderLength", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 241}] = InformationElementEntry{FieldID: 241, Name: "ethernetPayloadLength", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 242}] = InformationElementEntry{FieldID: 242, Name: "ethernetTotalLength", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 243}] = InformationElementEntry{FieldID: 243, Name: "dot1qVlanId", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 244}] = InformationElementEntry{FieldID: 244, Name: "dot1qPriority", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 245}] = InformationElementEntry{FieldID: 245, Name: "dot1qCustomerVlanId", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 246}] = InformationElementEntry{FieldID: 246, Name: "dot1qCustomerPriority", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 247}] = InformationElementEntry{FieldID: 247, Name: "metroEvcId", Type: FieldTypes["string"]}
	builtin[Key{0, 248}] = InformationElementEntry{FieldID: 248, Name: "metroEvcType", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 249}] = InformationElementEntry{FieldID: 249, Name: "pseudoWireId", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 250}] = InformationElementEntry{FieldID: 250, Name: "pseudoWireType", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 251}] = InformationElementEntry{FieldID: 251, Name: "pseudoWireControlWord", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 252}] = InformationElementEntry{FieldID: 252, Name: "ingressPhysicalInterface", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 253}] = InformationElementEntry{FieldID: 253, Name: "egressPhysicalInterface", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 254}] = InformationElementEntry{FieldID: 254, Name: "postDot1qVlanId", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 255}] = InformationElementEntry{FieldID: 255, Name: "postDot1qCustomerVlanId", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 256}] = InformationElementEntry{FieldID: 256, Name: "ethernetType", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 257}] = InformationElementEntry{FieldID: 257, Name: "postIpPrecedence", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 258}] = InformationElementEntry{FieldID: 258, Name: "collectionTimeMilliseconds", Type: FieldTypes["dateTimeMilliseconds"]}
	builtin[Key{0, 259}] = InformationElementEntry{FieldID: 259, Name: "exportSctpStreamId", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 260}] = InformationElementEntry{FieldID: 260, Name: "maxExportSeconds", Type: FieldTypes["dateTimeSeconds"]}
	builtin[Key{0, 261}] = InformationElementEntry{FieldID: 261, Name: "maxFlowEndSeconds", Type: FieldTypes["dateTimeSeconds"]}
	builtin[Key{0, 262}] = InformationElementEntry{FieldID: 262, Name: "messageMD5Checksum", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 263}] = InformationElementEntry{FieldID: 263, Name: "messageScope", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 264}] = InformationElementEntry{FieldID: 264, Name: "minExportSeconds", Type: FieldTypes["dateTimeSeconds"]}
	builtin[Key{0, 265}] = InformationElementEntry{FieldID: 265, Name: "minFlowStartSeconds", Type: FieldTypes["dateTimeSeconds"]}
	builtin[Key{0, 266}] = InformationElementEntry{FieldID: 266, Name: "opaqueOctets", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 267}] = InformationElementEntry{FieldID: 267, Name: "sessionScope", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 268}] = InformationElementEntry{FieldID: 268, Name: "maxFlowEndMicroseconds", Type: FieldTypes["dateTimeMicroseconds"]}
	builtin[Key{0, 269}] = InformationElementEntry{FieldID: 269, Name: "maxFlowEndMilliseconds", Type: FieldTypes["dateTimeMilliseconds"]}
	builtin[Key{0, 270}] = InformationElementEntry{FieldID: 270, Name: "maxFlowEndNanoseconds", Type: FieldTypes["dateTimeNanoseconds"]}
	builtin[Key{0, 271}] = InformationElementEntry{FieldID: 271, Name: "minFlowStartMicroseconds", Type: FieldTypes["dateTimeMicroseconds"]}
	builtin[Key{0, 272}] = InformationElementEntry{FieldID: 272, Name: "minFlowStartMilliseconds", Type: FieldTypes["dateTimeMilliseconds"]}
	builtin[Key{0, 273}] = InformationElementEntry{FieldID: 273, Name: "minFlowStartNanoseconds", Type: FieldTypes["dateTimeNanoseconds"]}
	builtin[Key{0, 274}] = InformationElementEntry{FieldID: 274, Name: "collectorCertificate", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 275}] = InformationElementEntry{FieldID: 275, Name: "exporterCertificate", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 276}] = InformationElementEntry{FieldID: 276, Name: "dataRecordsReliability", Type: FieldTypes["boolean"]}
	builtin[Key{0, 277}] = InformationElementEntry{FieldID: 277, Name: "observationPointType", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 278}] = InformationElementEntry{FieldID: 278, Name: "newConnectionDeltaCount", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 279}] = InformationElementEntry{FieldID: 279, Name: "connectionSumDurationSeconds", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 280}] = InformationElementEntry{FieldID: 280, Name: "connectionTransactionId", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 281}] = InformationElementEntry{FieldID: 281, Name: "postNATSourceIPv6Address", Type: FieldTypes["ipv6Address"]}
	builtin[Key{0, 282}] = InformationElementEntry{FieldID: 282, Name: "postNATDestinationIPv6Address", Type: FieldTypes["ipv6Address"]}
	builtin[Key{0, 283}] = InformationElementEntry{FieldID: 283, Name: "natPoolId", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 284}] = InformationElementEntry{FieldID: 284, Name: "natPoolName", Type: FieldTypes["string"]}
	builtin[Key{0, 285}] = InformationElementEntry{FieldID: 285, Name: "anonymizationFlags", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 286}] = InformationElementEntry{FieldID: 286, Name: "anonymizationTechnique", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 287}] = InformationElementEntry{FieldID: 287, Name: "informationElementIndex", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 288}] = InformationElementEntry{FieldID: 288, Name: "p2pTechnology", Type: FieldTypes["string"]}
	builtin[Key{0, 289}] = InformationElementEntry{FieldID: 289, Name: "tunnelTechnology", Type: FieldTypes["string"]}
	builtin[Key{0, 290}] = InformationElementEntry{FieldID: 290, Name: "encryptedTechnology", Type: FieldTypes["string"]}
	builtin[Key{0, 291}] = InformationElementEntry{FieldID: 291, Name: "basicList", Type: FieldTypes["basicList"]}
	builtin[Key{0, 292}] = InformationElementEntry{FieldID: 292, Name: "subTemplateList", Type: FieldTypes["subTemplateList"]}
	builtin[Key{0, 293}] = InformationElementEntry{FieldID: 293, Name: "subTemplateMultiList", Type: FieldTypes["subTemplateMultiList"]}
	builtin[Key{0, 294}] = InformationElementEntry{FieldID: 294, Name: "bgpValidityState", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 295}] = InformationElementEntry{FieldID: 295, Name: "IPSecSPI", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 296}] = InformationElementEntry{FieldID: 296, Name: "greKey", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 297}] = InformationElementEntry{FieldID: 297, Name: "natType", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 298}] = InformationElementEntry{FieldID: 298, Name: "initiatorPackets", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 299}] = InformationElementEntry{FieldID: 299, Name: "responderPackets", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 300}] = InformationElementEntry{FieldID: 300, Name: "observationDomainName", Type: FieldTypes["string"]}
	builtin[Key{0, 301}] = InformationElementEntry{FieldID: 301, Name: "selectionSequenceId", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 302}] = InformationElementEntry{FieldID: 302, Name: "selectorId", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 303}] = InformationElementEntry{FieldID: 303, Name: "informationElementId", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 304}] = InformationElementEntry{FieldID: 304, Name: "selectorAlgorithm", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 305}] = InformationElementEntry{FieldID: 305, Name: "samplingPacketInterval", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 306}] = InformationElementEntry{FieldID: 306, Name: "samplingPacketSpace", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 307}] = InformationElementEntry{FieldID: 307, Name: "samplingTimeInterval", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 308}] = InformationElementEntry{FieldID: 308, Name: "samplingTimeSpace", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 309}] = InformationElementEntry{FieldID: 309, Name: "samplingSize", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 310}] = InformationElementEntry{FieldID: 310, Name: "samplingPopulation", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 311}] = InformationElementEntry{FieldID: 311, Name: "samplingProbability", Type: FieldTypes["float64"]}
	builtin[Key{0, 312}] = InformationElementEntry{FieldID: 312, Name: "dataLinkFrameSize", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 313}] = InformationElementEntry{FieldID: 313, Name: "ipHeaderPacketSection", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 314}] = InformationElementEntry{FieldID: 314, Name: "ipPayloadPacketSection", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 315}] = InformationElementEntry{FieldID: 315, Name: "dataLinkFrameSection", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 316}] = InformationElementEntry{FieldID: 316, Name: "mplsLabelStackSection", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 317}] = InformationElementEntry{FieldID: 317, Name: "mplsPayloadPacketSection", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 318}] = InformationElementEntry{FieldID: 318, Name: "selectorIdTotalPktsObserved", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 319}] = InformationElementEntry{FieldID: 319, Name: "selectorIdTotalPktsSelected", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 320}] = InformationElementEntry{FieldID: 320, Name: "absoluteError", Type: FieldTypes["float64"]}
	builtin[Key{0, 321}] = InformationElementEntry{FieldID: 321, Name: "relativeError", Type: FieldTypes["float64"]}
	builtin[Key{0, 322}] = InformationElementEntry{FieldID: 322, Name: "observationTimeSeconds", Type: FieldTypes["dateTimeSeconds"]}
	builtin[Key{0, 323}] = InformationElementEntry{FieldID: 323, Name: "observationTimeMilliseconds", Type: FieldTypes["dateTimeMilliseconds"]}
	builtin[Key{0, 324}] = InformationElementEntry{FieldID: 324, Name: "observationTimeMicroseconds", Type: FieldTypes["dateTimeMicroseconds"]}
	builtin[Key{0, 325}] = InformationElementEntry{FieldID: 325, Name: "observationTimeNanoseconds", Type: FieldTypes["dateTimeNanoseconds"]}
	builtin[Key{0, 326}] = InformationElementEntry{FieldID: 326, Name: "digestHashValue", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 327}] = InformationElementEntry{FieldID: 327, Name: "hashIPPayloadOffset", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 328}] = InformationElementEntry{FieldID: 328, Name: "hashIPPayloadSize", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 329}] = InformationElementEntry{FieldID: 329, Name: "hashOutputRangeMin", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 330}] = InformationElementEntry{FieldID: 330, Name: "hashOutputRangeMax", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 331}] = InformationElementEntry{FieldID: 331, Name: "hashSelectedRangeMin", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 332}] = InformationElementEntry{FieldID: 332, Name: "hashSelectedRangeMax", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 333}] = InformationElementEntry{FieldID: 333, Name: "hashDigestOutput", Type: FieldTypes["boolean"]}
	builtin[Key{0, 334}] = InformationElementEntry{FieldID: 334, Name: "hashInitialiserValue", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 335}] = InformationElementEntry{FieldID: 335, Name: "selectorName", Type: FieldTypes["string"]}
	builtin[Key{0, 336}] = InformationElementEntry{FieldID: 336, Name: "upperCILimit", Type: FieldTypes["float64"]}
	builtin[Key{0, 337}] = InformationElementEntry{FieldID: 337, Name: "lowerCILimit", Type: FieldTypes["float64"]}
	builtin[Key{0, 338}] = InformationElementEntry{FieldID: 338, Name: "confidenceLevel", Type: FieldTypes["float64"]}
	builtin[Key{0, 339}] = InformationElementEntry{FieldID: 339, Name: "informationElementDataType", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 340}] = InformationElementEntry{FieldID: 340, Name: "informationElementDescription", Type: FieldTypes["string"]}
	builtin[Key{0, 341}] = InformationElementEntry{FieldID: 341, Name: "informationElementName", Type: FieldTypes["string"]}
	builtin[Key{0, 342}] = InformationElementEntry{FieldID: 342, Name: "informationElementRangeBegin", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 343}] = InformationElementEntry{FieldID: 343, Name: "informationElementRangeEnd", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 344}] = InformationElementEntry{FieldID: 344, Name: "informationElementSemantics", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 345}] = InformationElementEntry{FieldID: 345, Name: "informationElementUnits", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 346}] = InformationElementEntry{FieldID: 346, Name: "privateEnterpriseNumber", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 347}] = InformationElementEntry{FieldID: 347, Name: "virtualStationInterfaceId", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 348}] = InformationElementEntry{FieldID: 348, Name: "virtualStationInterfaceName", Type: FieldTypes["string"]}
	builtin[Key{0, 349}] = InformationElementEntry{FieldID: 349, Name: "virtualStationUUID", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 350}] = InformationElementEntry{FieldID: 350, Name: "virtualStationName", Type: FieldTypes["string"]}
	builtin[Key{0, 351}] = InformationElementEntry{FieldID: 351, Name: "layer2SegmentId", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 352}] = InformationElementEntry{FieldID: 352, Name: "layer2OctetDeltaCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 353}] = InformationElementEntry{FieldID: 353, Name: "layer2OctetTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 354}] = InformationElementEntry{FieldID: 354, Name: "ingressUnicastPacketTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 355}] = InformationElementEntry{FieldID: 355, Name: "ingressMulticastPacketTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 356}] = InformationElementEntry{FieldID: 356, Name: "ingressBroadcastPacketTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 357}] = InformationElementEntry{FieldID: 357, Name: "egressUnicastPacketTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 358}] = InformationElementEntry{FieldID: 358, Name: "egressBroadcastPacketTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 359}] = InformationElementEntry{FieldID: 359, Name: "monitoringIntervalStartMilliSeconds", Type: FieldTypes["dateTimeMilliseconds"]}
	builtin[Key{0, 360}] = InformationElementEntry{FieldID: 360, Name: "monitoringIntervalEndMilliSeconds", Type: FieldTypes["dateTimeMilliseconds"]}
	builtin[Key{0, 361}] = InformationElementEntry{FieldID: 361, Name: "portRangeStart", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 362}] = InformationElementEntry{FieldID: 362, Name: "portRangeEnd", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 363}] = InformationElementEntry{FieldID: 363, Name: "portRangeStepSize", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 364}] = InformationElementEntry{FieldID: 364, Name: "portRangeNumPorts", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 365}] = InformationElementEntry{FieldID: 365, Name: "staMacAddress", Type: FieldTypes["macAddress"]}
	builtin[Key{0, 366}] = InformationElementEntry{FieldID: 366, Name: "staIPv4Address", Type: FieldTypes["ipv4Address"]}
	builtin[Key{0, 367}] = InformationElementEntry{FieldID: 367, Name: "wtpMacAddress", Type: FieldTypes["macAddress"]}
	builtin[Key{0, 368}] = InformationElementEntry{FieldID: 368, Name: "ingressInterfaceType", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 369}] = InformationElementEntry{FieldID: 369, Name: "egressInterfaceType", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 370}] = InformationElementEntry{FieldID: 370, Name: "rtpSequenceNumber", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 371}] = InformationElementEntry{FieldID: 371, Name: "userName", Type: FieldTypes["string"]}
	builtin[Key{0, 372}] = InformationElementEntry{FieldID: 372, Name: "applicationCategoryName", Type: FieldTypes["string"]}
	builtin[Key{0, 373}] = InformationElementEntry{FieldID: 373, Name: "applicationSubCategoryName", Type: FieldTypes["string"]}
	builtin[Key{0, 374}] = InformationElementEntry{FieldID: 374, Name: "applicationGroupName", Type: FieldTypes["string"]}
	builtin[Key{0, 375}] = InformationElementEntry{FieldID: 375, Name: "originalFlowsPresent", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 376}] = InformationElementEntry{FieldID: 376, Name: "originalFlowsInitiated", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 377}] = InformationElementEntry{FieldID: 377, Name: "originalFlowsCompleted", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 378}] = InformationElementEntry{FieldID: 378, Name: "distinctCountOfSourceIPAddress", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 379}] = InformationElementEntry{FieldID: 379, Name: "distinctCountOfDestinationIPAddress", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 380}] = InformationElementEntry{FieldID: 380, Name: "distinctCountOfSourceIPv4Address", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 381}] = InformationElementEntry{FieldID: 381, Name: "distinctCountOfDestinationIPv4Address", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 382}] = InformationElementEntry{FieldID: 382, Name: "distinctCountOfSourceIPv6Address", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 383}] = InformationElementEntry{FieldID: 383, Name: "distinctCountOfDestinationIPv6Address", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 384}] = InformationElementEntry{FieldID: 384, Name: "valueDistributionMethod", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 385}] = InformationElementEntry{FieldID: 385, Name: "rfc3550JitterMilliseconds", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 386}] = InformationElementEntry{FieldID: 386, Name: "rfc3550JitterMicroseconds", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 387}] = InformationElementEntry{FieldID: 387, Name: "rfc3550JitterNanoseconds", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 388}] = InformationElementEntry{FieldID: 388, Name: "dot1qDEI", Type: FieldTypes["boolean"]}
	builtin[Key{0, 389}] = InformationElementEntry{FieldID: 389, Name: "dot1qCustomerDEI", Type: FieldTypes["boolean"]}
	builtin[Key{0, 390}] = InformationElementEntry{FieldID: 390, Name: "flowSelectorAlgorithm", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 391}] = InformationElementEntry{FieldID: 391, Name: "flowSelectedOctetDeltaCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 392}] = InformationElementEntry{FieldID: 392, Name: "flowSelectedPacketDeltaCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 393}] = InformationElementEntry{FieldID: 393, Name: "flowSelectedFlowDeltaCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 394}] = InformationElementEntry{FieldID: 394, Name: "selectorIDTotalFlowsObserved", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 395}] = InformationElementEntry{FieldID: 395, Name: "selectorIDTotalFlowsSelected", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 396}] = InformationElementEntry{FieldID: 396, Name: "samplingFlowInterval", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 397}] = InformationElementEntry{FieldID: 397, Name: "samplingFlowSpacing", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 398}] = InformationElementEntry{FieldID: 398, Name: "flowSamplingTimeInterval", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 399}] = InformationElementEntry{FieldID: 399, Name: "flowSamplingTimeSpacing", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 400}] = InformationElementEntry{FieldID: 400, Name: "hashFlowDomain", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 401}] = InformationElementEntry{FieldID: 401, Name: "transportOctetDeltaCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 402}] = InformationElementEntry{FieldID: 402, Name: "transportPacketDeltaCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 403}] = InformationElementEntry{FieldID: 403, Name: "originalExporterIPv4Address", Type: FieldTypes["ipv4Address"]}
	builtin[Key{0, 404}] = InformationElementEntry{FieldID: 404, Name: "originalExporterIPv6Address", Type: FieldTypes["ipv6Address"]}
	builtin[Key{0, 405}] = InformationElementEntry{FieldID: 405, Name: "originalObservationDomainId", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 406}] = InformationElementEntry{FieldID: 406, Name: "intermediateProcessId", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 407}] = InformationElementEntry{FieldID: 407, Name: "ignoredDataRecordTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 408}] = InformationElementEntry{FieldID: 408, Name: "dataLinkFrameType", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 409}] = InformationElementEntry{FieldID: 409, Name: "sectionOffset", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 410}] = InformationElementEntry{FieldID: 410, Name: "sectionExportedOctets", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 411}] = InformationElementEntry{FieldID: 411, Name: "dot1qServiceInstanceTag", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 412}] = InformationElementEntry{FieldID: 412, Name: "dot1qServiceInstanceId", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 413}] = InformationElementEntry{FieldID: 413, Name: "dot1qServiceInstancePriority", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 414}] = InformationElementEntry{FieldID: 414, Name: "dot1qCustomerSourceMacAddress", Type: FieldTypes["macAddress"]}
	builtin[Key{0, 415}] = InformationElementEntry{FieldID: 415, Name: "dot1qCustomerDestinationMacAddress", Type: FieldTypes["macAddress"]}
	builtin[Key{0, 417}] = InformationElementEntry{FieldID: 417, Name: "postLayer2OctetDeltaCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 418}] = InformationElementEntry{FieldID: 418, Name: "postMCastLayer2OctetDeltaCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 420}] = InformationElementEntry{FieldID: 420, Name: "postLayer2OctetTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 421}] = InformationElementEntry{FieldID: 421, Name: "postMCastLayer2OctetTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 422}] = InformationElementEntry{FieldID: 422, Name: "minimumLayer2TotalLength", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 423}] = InformationElementEntry{FieldID: 423, Name: "maximumLayer2TotalLength", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 424}] = InformationElementEntry{FieldID: 424, Name: "droppedLayer2OctetDeltaCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 425}] = InformationElementEntry{FieldID: 425, Name: "droppedLayer2OctetTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 426}] = InformationElementEntry{FieldID: 426, Name: "ignoredLayer2OctetTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 427}] = InformationElementEntry{FieldID: 427, Name: "notSentLayer2OctetTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 428}] = InformationElementEntry{FieldID: 428, Name: "layer2OctetDeltaSumOfSquares", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 429}] = InformationElementEntry{FieldID: 429, Name: "layer2OctetTotalSumOfSquares", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 430}] = InformationElementEntry{FieldID: 430, Name: "layer2FrameDeltaCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 431}] = InformationElementEntry{FieldID: 431, Name: "layer2FrameTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 432}] = InformationElementEntry{FieldID: 432, Name: "pseudoWireDestinationIPv4Address", Type: FieldTypes["ipv4Address"]}
	builtin[Key{0, 433}] = InformationElementEntry{FieldID: 433, Name: "ignoredLayer2FrameTotalCount", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 434}] = InformationElementEntry{FieldID: 434, Name: "mibObjectValueInteger", Type: FieldTypes["signed32"]}
	builtin[Key{0, 435}] = InformationElementEntry{FieldID: 435, Name: "mibObjectValueOctetString", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 436}] = InformationElementEntry{FieldID: 436, Name: "mibObjectValueOID", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 437}] = InformationElementEntry{FieldID: 437, Name: "mibObjectValueBits", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 438}] = InformationElementEntry{FieldID: 438, Name: "mibObjectValueIPAddress", Type: FieldTypes["ipv4Address"]}
	builtin[Key{0, 439}] = InformationElementEntry{FieldID: 439, Name: "mibObjectValueCounter", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 440}] = InformationElementEntry{FieldID: 440, Name: "mibObjectValueGauge", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 441}] = InformationElementEntry{FieldID: 441, Name: "mibObjectValueTimeTicks", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 442}] = InformationElementEntry{FieldID: 442, Name: "mibObjectValueUnsigned", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 443}] = InformationElementEntry{FieldID: 443, Name: "mibObjectValueTable", Type: FieldTypes["subTemplateList"]}
	builtin[Key{0, 444}] = InformationElementEntry{FieldID: 444, Name: "mibObjectValueRow", Type: FieldTypes["subTemplateList"]}
	builtin[Key{0, 445}] = InformationElementEntry{FieldID: 445, Name: "mibObjectIdentifier", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 446}] = InformationElementEntry{FieldID: 446, Name: "mibSubIdentifier", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 447}] = InformationElementEntry{FieldID: 447, Name: "mibIndexIndicator", Type: FieldTypes["unsigned64"]}
	builtin[Key{0, 448}] = InformationElementEntry{FieldID: 448, Name: "mibCaptureTimeSemantics", Type: FieldTypes["unsigned8"]}
	builtin[Key{0, 449}] = InformationElementEntry{FieldID: 449, Name: "mibContextEngineID", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 450}] = InformationElementEntry{FieldID: 450, Name: "mibContextName", Type: FieldTypes["string"]}
	builtin[Key{0, 451}] = InformationElementEntry{FieldID: 451, Name: "mibObjectName", Type: FieldTypes["string"]}
	builtin[Key{0, 452}] = InformationElementEntry{FieldID: 452, Name: "mibObjectDescription", Type: FieldTypes["string"]}
	builtin[Key{0, 453}] = InformationElementEntry{FieldID: 453, Name: "mibObjectSyntax", Type: FieldTypes["string"]}
	builtin[Key{0, 454}] = InformationElementEntry{FieldID: 454, Name: "mibModuleName", Type: FieldTypes["string"]}
	builtin[Key{0, 455}] = InformationElementEntry{FieldID: 455, Name: "mobileIMSI", Type: FieldTypes["string"]}
	builtin[Key{0, 456}] = InformationElementEntry{FieldID: 456, Name: "mobileMSISDN", Type: FieldTypes["string"]}
	builtin[Key{0, 457}] = InformationElementEntry{FieldID: 457, Name: "httpStatusCode", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 458}] = InformationElementEntry{FieldID: 458, Name: "sourceTransportPortsLimit", Type: FieldTypes["unsigned16"]}
	builtin[Key{0, 459}] = InformationElementEntry{FieldID: 459, Name: "httpRequestMethod", Type: FieldTypes["string"]}
	builtin[Key{0, 460}] = InformationElementEntry{FieldID: 460, Name: "httpRequestHost", Type: FieldTypes["string"]}
	builtin[Key{0, 461}] = InformationElementEntry{FieldID: 461, Name: "httpRequestTarget", Type: FieldTypes["string"]}
	builtin[Key{0, 462}] = InformationElementEntry{FieldID: 462, Name: "httpMessageVersion", Type: FieldTypes["string"]}
	builtin[Key{0, 463}] = InformationElementEntry{FieldID: 463, Name: "natInstanceID", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 464}] = InformationElementEntry{FieldID: 464, Name: "internalAddressRealm", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 465}] = InformationElementEntry{FieldID: 465, Name: "externalAddressRealm", Type: FieldTypes["octetArray"]}
	builtin[Key{0, 466}] = InformationElementEntry{FieldID: 466, Name: "natQuotaExceededEvent", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 467}] = InformationElementEntry{FieldID: 467, Name: "natThresholdEvent", Type: FieldTypes["unsigned32"]}
	builtin[Key{0, 468}] = InformationElementEntry{FieldID: 468, Name: "httpUserAgent", Type: FieldTypes["string"]}
	builtin[Key{0, 469}] = InformationElementEntry{FieldID: 469, Name: "httpContentType", Type: FieldTypes["string"]}
	builtin[Key{0, 470}] = InformationElementEntry{FieldID: 470, Name: "httpReasonPhrase", Type: FieldTypes["string"]}

	// This implements RFC 5103 Bidirectional Flow Export Using IP Flow
	// Information Export (IPFIX) supporting Reverse Informatio Elements.
	for k, v := range builtin {
		if k.EnterpriseID != 0 {
			continue
		}

		switch k.FieldID {
		case 148, 145, 149, 137:
			// Not reversible: flowId, templateId, observationDomainId, and
			// commonPropertiesId

		case 130, 131, 217, 211, 212, 213, 214, 215, 216, 173:
			// Not reversible: process configuration elements defined in
			// Section 5.2 of RFC5102.

		case 41, 40, 42, 163, 164, 165, 166, 167, 168:
			// Not reversible: process statistics elements defined in Section
			// 5.3 of RFC5102.

		case 210:
			// Not reversible: paddingOctets

		default:
			// Reversible
			v.Name = "reverse" + strings.ToUpper(v.Name[0:1]) + v.Name[1:]
			v.EnterpriseID = reversePEN
			k.EnterpriseID = reversePEN
			builtin[k] = v
		}
	}
}
